
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "advertilecop/version"

Gem::Specification.new do |spec|
  spec.name          = "advertilecop"
  spec.version       = AdvertileCop::VERSION
  spec.authors       = ["Mika Hel"]
  spec.email         = ["mikael.henriksson@advertilemobile.com"]
  spec.summary       = "Like RuboCop only for Advertile"
  spec.description   = "RuboCop patched for to enforce the use of Advertile Style Guidelines"
  spec.homepage      = "http://www.advertilemobile.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "rubocop", "< 0.53.0"
  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
end
